import React, { useState, useEffect } from 'react';
import styles from './index.less';
import commonStyles from '../common.less';
import { equipImageMap } from '@/config/image.js';
import AnSwitch from '../anSwitch';
const { lamp_open, expend_down, expend_up } = equipImageMap;
export default () => {
  const [isMore, setIsMore] = useState(true);

  const lampArr = [
    { id: '1', title: '主灯', sta: true },
    { id: '2', title: '顶灯', sta: false },
  ];

  const [flagSvg, setFlagSvg] = useState(false);
  function handleExpend() {
    setFlagSvg(!flagSvg);
  }

  return (
    <div className={commonStyles.box}>
      <div className={commonStyles.content}>
        <div className={commonStyles.env}>
          <div className={commonStyles.envLeft}>
            <span className={commonStyles.eqTitle}>照明</span>
            <div className={`${commonStyles.eqStatus} ${commonStyles.pdt10}`}>
              <span>照明已关闭</span>
            </div>
            {isMore && (
              <div className={commonStyles.showAll} onClick={handleExpend}>
                <img className={commonStyles.showImg} src={flagSvg ? expend_up : expend_down}></img>
                <div className={commonStyles.showAllText}>显示全部</div>
              </div>
            )}
          </div>
          <div className={commonStyles.envRight}>
            <img className={commonStyles.roomEqImg} src={lamp_open} />
          </div>
          {!flagSvg && (
            <div className={commonStyles.eqBtn}>
              <AnSwitch isOpen={true} />
            </div>
          )}
        </div>
      </div>
      {lampArr.map((item, idx) => {
        if (flagSvg) {
          return (
            <div className={`${styles.lampChild} ${commonStyles.flexBetween}`} key={item.id}>
              <div className={commonStyles.eqTitle}>{item.title}</div>
              <div>
                <AnSwitch isOpen={item.sta}></AnSwitch>
              </div>
            </div>
          );
        }
      })}
    </div>
  );
};
